Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.symboltable
Class MethodNameDeclaration

    java.lang.Object
      net.sourceforge.pmd.symboltable.AbstractNameDeclaration
          net.sourceforge.pmd.symboltable.MethodNameDeclaration

All Implemented Interfaces:
  NameDeclaration

    public class MethodNameDeclaration

extends AbstractNameDeclaration

Field Summary

Fields inherited from class net.sourceforge.pmd.symboltable.AbstractNameDeclaration
`node`

Constructor Summary
`MethodNameDeclaration(ASTMethodDeclarator node)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`ASTMethodDeclarator` | `getMethodNameDeclaratorNode()`
`int` | `getParameterCount()`
`java.lang.String` | `getParameterDisplaySignature()`
`int` | `hashCode()`
`boolean` | `isVarargs()`
`java.lang.String` | `toString()`

Methods inherited from class net.sourceforge.pmd.symboltable.AbstractNameDeclaration
`getImage, getNode, getScope`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodNameDeclaration

    public MethodNameDeclaration(ASTMethodDeclarator node)

Method Detail

### getParameterCount

    public int getParameterCount()

### isVarargs

    public boolean isVarargs()

### getMethodNameDeclaratorNode

    public ASTMethodDeclarator getMethodNameDeclaratorNode()

### getParameterDisplaySignature

    public java.lang.String getParameterDisplaySignature()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.